Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613290 - no libcrypto.so.7 !
no libcrypto.so.7 !
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-10 09:54 EDT by Jason Vas Dias
Modified: 2013-01-10 05:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-11 03:25:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2010-07-10 09:54:44 EDT
Description of problem:

$ git-push
git-push: error while loading shared libraries: libcrypto.so.7: cannot open shared object file: No such file or directory

The OpenSSL RPM openssl-1.0.0a-1.fc12.x86_64 no longer provides 
/usr/lib{,64}/libcrypto.so.7 - 
please relink next release's git-push to /usr/lib{,64}/libcrypto.so .

Version-Release number of selected component (if applicable):
git-1.6.6.1-1.fc12.x86_64
openssl-1.0.0a-1.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
Try to push anything with git-push
  
Actual results:
link failure

Expected results:
push OK

Additional info:
Comment 1 Todd Zullinger 2010-07-10 14:33:19 EDT
git-push is not in the default path on Fedora 12.  Are you sure that you're not running an older version of git-push which is not from the 1.6.6.1-1.fc12 package?

Checking the binaries in git --exec-path (/usr/libexec/git-core) I don't see any that are linked with libcrypto.so.7.

Please show the output of 'which git-push' and 'ldd $(which git-push) | grep libcrypto'
Comment 2 Jason Vas Dias 2010-07-11 03:25:37 EDT
Oops, sorry, you are right - that git-push was from an old manual installation.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.